/*
 * data.h
 */
#include "copyright.h"

#ifndef _sys_time_h
#include <sys/time.h>
#endif

#define EX_FRAMES 		5
#define SBEXPVIEWS 		7
#define ex_width        	64
#define ex_height       	64
#define sbexp_width        	80
#define sbexp_height       	80
#define cloud_width 		7
#define cloud_height 		7
#define plasmacloud_width 	11
#define plasmacloud_height 	11
#define etorp_width 		3
#define etorp_height 		3
#define eplasmatorp_width 	7
#define eplasmatorp_height 	7
#define mplasmatorp_width 	5
#define mplasmatorp_height 	5
#define mtorp_width 		3
#define mtorp_height 		3
#define crossw		 	16
#define crossh		 	16
#define cross_x_hot	 	7
#define cross_y_hot	 	7
#define crossmask_width 	16
#define crossmask_height 	16
#define planet_width 		30
#define planet_height 		30
#define mplanet_width 		16
#define mplanet_height 		16
#define shield_width 		20
#define shield_height 		20
#define icon_width 		112
#define icon_height 		80
#define att_gray_mask_width     28
#define att_gray_mask_height    28
#define gray_mask_width         20
#define gray_mask_height        20

extern struct player *players;
extern struct player *me;
extern struct torp *torps;
extern struct plasmatorp *plasmatorps;
extern struct status *status;
extern struct ship *myship;
extern struct stats *mystats;
extern struct planet *planets;
extern struct phaser *phasers;
extern struct message *messages;
extern struct mctl *mctl;
extern struct team *teams;
#ifdef VOTE
extern struct vote *vote;
#endif

extern int      bypassed;
extern int      backTorpHeat;
extern int      announceTop10;	/* Whether or not to announce the arrival of
				 * a top 10 player */
extern int      notmodebomb;	/* When is bombing allowed (dank) */
extern char     nombreDios[];
extern int      remap[];
extern int      udcounter;
extern int      messpend;
extern int      lastcount;
extern int      mdisplayed;
extern int      redrawall;
extern int      selfdest;
extern int      lastm;
extern int      delay;
extern int      rdelay;
extern int      mapmode;
extern int      namemode;
extern int      showShields;
extern int      showStats;
extern int      warncount;
extern int      warntimer;
extern int      infomapped;
extern int      mustexit;
extern int      messtime;
extern int      keeppeace;
extern int      showlocal, showgalactic;
extern char    *shipnos;
extern int      sock;
extern int      xtrekPort;
extern int      shipPick;
extern int      teamPick;
extern int      repCount;
extern char     namePick[];
extern char     passPick[];
extern int      inputMask;
extern int      nextSocket;
extern char    *host;
extern int      noressurect;
extern int      userVersion;
extern int      timerDelay;
extern char     testdata[];
#ifdef RSA
extern int      RSA_Client;
extern char    	RSA_client_type[];
#endif
extern int      testtime;
extern char    *serverName;
extern int      tournplayers;
extern int      shipsallowed[];
extern int      weaponsallowed[];
extern int      plkills;
extern int      sbrank;
extern int      startplanets[];
extern int      binconfirm;
extern int      chaos;
extern int      shipwrap;	/* jfy - bounce ships off of the walls */
extern int      ksuchaos;	/* jfy - KSU chaos stuff */
extern int      lastexplode;	/* jfy -- make last torp explode */
extern int      expltorps;	/* jfy -- exploding torps */
extern int      sbwarp;		/* jfy -- exploding torps */
extern int      straightorps;	/* jfy -- straight player torps */
extern int      hourratio;
extern int      hiddenenemy;
extern float    maxload;
extern int      vectortorps;
extern int      allwar;

#ifdef SNAKEPATROL
extern int      snakepatrol;
#endif

#ifdef MINES
extern int      mines;
extern int      minedet;
extern int      minerot;
extern int      minepow;
#endif

extern char     sysdef_file[];
extern char     sysdef_comment[];
extern int      timecheck;
extern int      totimecheck;
extern int      timechecknew;


extern int      userUdpVersion;
extern int      udpSock;
extern int      commMode;
extern int      udpAllowed;

extern int      checkmessage;
extern int      logall;
extern int      loggod;

extern int      cloakdelay;

extern int      gamedown;

#ifdef BASEPRACTICE
extern int      basepractice;
#endif

#ifdef ORGANIAN
extern int      organian;
extern int      whoconq;
#endif

extern double   oldmax;
extern double   Sin[], Cos[];

#define WP_PLASMA 0
#define WP_TRACTOR 1
#define WP_MAX 2

#define VIEWS 16
#define NUM_TYPES 9
extern char     teamlet[];
extern char    *teamshort[];
extern char     pseudo[PSEUDOSIZE];
extern char     login[PSEUDOSIZE];


extern char	*shiptypes[NUM_TYPES + 1];

extern struct rank ranks[NUMRANKS];

extern int      startTkills, startTlosses, startTarms, startTplanets, 
		startTticks, startSBkills, startSBlosses, startSBticks;
#ifdef BASEPRACTICE
extern double	startTdami, startTdamr;
#endif

#ifdef SB_DOCK
extern int      sb_dock;
#endif

extern int      ping;		/* to ping or not to ping */
extern long     packets_sent;	/* # all packets sent to client */
extern long     packets_received;	/* # all packets recved from client */
extern int      ping_ghostbust;	/* ghostbust timer */

/* defaults variables */
extern int      ping_freq;	/* ping freq. in seconds */
extern int      ping_iloss_interval;	/* in values of ping_freq */
extern int      ping_allow_ghostbust;	/* allow ghostbust detection from
					 * 'ping_ghostbust'.. (cheating
					 * possible) */
extern int      ping_ghostbust_interval;	/* in ping_freq, when to
						 * ghostbust if allowed */

extern int twarpMode;       /* isae - SB transwarp */
extern int twarpSpeed;     /* isae - Warp speed */

extern int jmn_planets;

#ifdef SHORT_PACKETS
extern int send_short;
#endif

extern char	*cl_version;

#ifdef FEATURE
extern int	F_client_feature_packets;
extern int	F_why_dead;
extern int	F_self_8flags;
extern int	F_self_8flags2;
extern int	F_cloak_maxwarp;
extern int	F_motd_bitmaps;
#endif

#ifdef RCD
extern int      num_distress;

/* copied from BRM data.h */
extern int      num_distress;
extern struct dmacro_list distmacro[];
#endif

extern int	promotion;
